For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get loyalty program points for customer

Get available loyalty program member points for customer.

get
/tenants/{tenantUid}/customers/{customerUid}/loyalty/points
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
balanceintegerRequired
currencystringRequired
expiringBalanceintegerRequired
expirationDatestring · date-timeRequired
get/tenants/{tenantUid}/customers/{customerUid}/loyalty/points
GET /v2/tenants/{tenantUid}/customers/{customerUid}/loyalty/points HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "customerUid": "text",
  "balance": 1,
  "currency": "text",
  "expiringBalance": 1,
  "expirationDate": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?